java - android studio 构建失败,因为 "Cannot cast object ' 1 1' with class ' java.lang.Integer' to class "

标签 java android maven gradle android-gradle-plugin

Android studio版本是0.5.2,gradle版本是1.11,今天早上我把android studio更新到0.6.0但是构建失败,所以我删除了它并重新安装0.5.2,但仍然构建失败。

gradle-library.gradle的第15行是minSdkVersion=11,我不知道我的ide有什么问题,我将gradle更新到1.12,但又失败了。

D:\Develop\android_alex\SRC>gradle clean Parallel execution is an incubating feature. Error listing versions of com.android.tools.build:gradle using class org.gradle.api.internal.artifacts.repositories.resolver.MavenVersionLister$1. Will attempt an alternate way to list versions. This behaviour has been deprecated and is scheduled to be removed in Gradle 2.0

FAILURE: Build failed with an exception.

  • 其中:脚本“D:\Develop\android_alex\SRC\config\android-library.gradle”行:15

  • 出了什么问题:评估脚本时出现问题。

    Cannot cast object '11' with class 'java.lang.Integer' to class 'com.android.builder.model.ApiVersion'

  • 尝试:使用 --stacktrace 选项运行以获取堆栈跟踪。使用 --info 或 --debug 选项运行以获得更多日志输出。

构建失败

最佳答案

您的 minSDkVersion 中不应包含 =

您的 Gradle 构建文件应如下所示:

android {
    defaultConfig {
        minSdkVersion 11
    }
}

关于java - android studio 构建失败,因为 "Cannot cast object ' 1 1' with class ' java.lang.Integer' to class ",我们在Stack Overflow上找到一个类似的问题: https://stackoverflow.com/questions/24132141/

相关文章:

eclipse - 为什么Eclipse会把maven运行时依赖变成编译依赖?

maven - Intellij-idea 添加 maven 插件

java - 我如何让我的代码将数据连接在一起而不是用每个新流覆盖 .txt 文件

java - 启动Docker容器时获取java.lang.ClassNotFoundException

java - Kotlin/Java - 测试数据库数据提供的 REST API

android - 想要通知计数的完美圆圈

android - 如何像whatsapp一样设置listView项目背景

android - 在android mapview中绘制填充形状

java - 使用 Camel-Case 的 Hibernate 空属性值

java - 我如何在 Quarkus 中定义用于序列化的聊天集?